Forum: Ruby [ANN] Ruby-VPI 15.0.2

Announcement (2017-05-07): www.ruby-forum.com is now read-only since I unfortunately do not have the time to support and maintain the forum any more. Please see rubyonrails.org/community and ruby-lang.org/en/community for other Rails- und Ruby-related community platforms.
Suraj K. (Guest)
on 2007-01-23 02:36
Ruby-VPI is a Ruby interface to IEEE 1364-2005 Verilog VPI.
It lets you create complex Verilog test benches easily and
wholly in Ruby.

  • http://ruby-vpi.rubyforge.org

━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━

Version 15.0.2 (2007-01-22)

Summary

This release fixes problems with linking of the C extension
and installation of the gem.

Details

  • Added checks for POSIX threads & Ruby libraries before
    creating makefile. Otherwise the .so files were not
    being linked to those libraries on the MASC machine!

  • The make program on the MASC machine does not like an
    empty Makefile. It was causing gem installation to
    fail.
This topic is locked and can not be replied to.